#
#   base.make
#
#   Makefile flags and configs to build with the base library.
#
#   Copyright (C) 2001 Free Software Foundation, Inc.
#
#   Author:  Nicola Pero <n.pero@mi.flashnet.it>
#   Based on code originally in the gnustep make package
#
#   This file is part of the GNUstep Base Library.
#
#   This library is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License
#   as published by the Free Software Foundation; either
#   version 2 of the License, or (at your option) any later version.
#   
#   You should have received a copy of the GNU General Public
#   License along with this library; see the file COPYING.LIB.
#   If not, write to the Free Software Foundation,
#   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

ifeq ($(BASE_MAKE_LOADED),)
BASE_MAKE_LOADED=yes

ifeq ($(FOUNDATION_LIB),gnu)
#
# FIXME - macro names
#
  AUXILIARY_OBJCFLAGS += -fconstant-string-class=NSConstantString
  ifeq ($(shared),no)
    CONFIG_SYSTEM_LIBS += -lxslt -lxml2 -lz -lm -lcallback -lavcall -lnsl -lbfd -liberty -ldl  -lz
    CONFIG_SYSTEM_LIB_DIR +=  -Wl,--as-needed -Wl,--no-undefined -Wl,-z,relro -L/usr/lib
  endif

  GNUSTEP_BASE_VERSION = 1.18.0
  GNUSTEP_BASE_MAJOR_VERSION = 1
  GNUSTEP_BASE_MINOR_VERSION = 18
  GNUSTEP_BASE_SUBMINOR_VERSION = 0

  FND_LDFLAGS =
  FND_LIBS = -lgnustep-base
  FND_DEFINE = -DGNUSTEP_BASE_LIBRARY=1
  GNUSTEP_DEFINE = -DGNUSTEP
  # If gc=yes was passed, use the appropriate library and defines
  ifeq ($(gc), yes)
    AUXILIARY_CPPFLAGS += -DGS_WITH_GC=1
    AUXILIARY_INCLUDE_DIRS += -I/usr/include/gc
  endif
endif

  GNUSTEP_BASE_HAVE_GNUTLS=0
  GNUSTEP_BASE_HAVE_LIBXML=1
  GNUSTEP_BASE_HAVE_MDNS=0

endif # BASE_MAKE_LOADED
